/var/lib/pcp/testsuite/464 is in pcp-testsuite 3.8.12ubuntu1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 | #!/bin/sh
# PCP QA Test No. 464
# Test pmLoadASCIINameSpace with pmcpp instead of cpp
#
# Copyright (c) 2011 Ken McDonell. All Rights Reserved.
#
seq=`basename $0`
echo "QA output created by $seq"
# get standard filters
. ./common.product
. ./common.filter
. ./common.check
rm -f $seq.out
if [ $PCP_VER -lt 3600 ]
then
ln $seq.out.1 $seq.out || exit 1
else
ln $seq.out.2 $seq.out || exit 1
fi
status=0 # success is the default!
$sudo rm -rf $tmp.* $seq.full
trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
_filter()
{
cat >$tmp.tmp
grep "^pmcpp:" <$tmp.tmp >$tmp.save
if [ -s $tmp.save ]
then
# pmcpp lines ... move 'em to the start
cat $tmp.save
grep -v "^pmcpp:" $tmp.tmp
else
cat $tmp.tmp
fi \
| sed \
-e "s;$tmp;TMP;g"
}
# real QA test starts here
echo "no error cases ..."
cat <<End-of-File >$tmp.root
root {
one 1:2:3
two
four
}
two {
three 4:5:6
}
four {
five
}
four.five {
six 7:8:9
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
echo
cat <<End-of-File >$tmp.root
root {
one 1:2:3
#include "$tmp.1"
End-of-File
cat <<End-of-File >$tmp.1
two
four
}
two {
three 4:5:6
}
#include "$tmp.2"
End-of-File
cat <<End-of-File >$tmp.2
four {
five
}
four.five {
six 7:8:9
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
rm -f $tmp.?
echo
cat <<End-of-File >$tmp.root
/* comment at the beginning */
root {
one 1:2:3
two
four
}
two {
three /*inline comment*/ 4:5:6
}
four {
five
}
four.five {
/**/six 7:8:9
}
/*
* multi-line comment at the end
*/
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
echo
cat <<End-of-File >$tmp.root
#define one two
#define foo_path3 foo.three
#define THREE 3
#define FOUR 4
#define FIVE 5
root {
one 2:2:2
foo
}
foo {
two
three
}
foo.one {
eek THREE:FOUR:FIVE
}
foo_path3 {
urk FIVE:FOUR:THREE
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
echo
echo "#include errors ..."
cat <<End-of-File >$tmp.root
root {
#include $tmp.1
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
rm -f $tmp.?
cat <<End-of-File >$tmp.root
root {
#include "$tmp.1
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
cat <<End-of-File >$tmp.root
root {
#include "$tmp.1" junk
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
rm -f $tmp.?
cat <<End-of-File >$tmp.root
root {
#include "$tmp.1"
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
rm -f $tmp.?
cat <<End-of-File >$tmp.root
root {
zero 1:0:0
#include "$tmp.1"
}
End-of-File
cat <<End-of-File >$tmp.1
one 1:0:1
#include "$tmp.2"
End-of-File
cat <<End-of-File >$tmp.2
two 1:0:2
#include "$tmp.3"
End-of-File
cat <<End-of-File >$tmp.3
three 1:0:3
#include "$tmp.4"
End-of-File
cat <<End-of-File >$tmp.4
four 1:0:4
#include "$tmp.5"
End-of-File
pminfo -Dpmns -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
rm -f $tmp.?
echo
echo "#define errors ..."
cat <<End-of-File >$tmp.root
root {
#define
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
cat <<End-of-File >$tmp.root
root {
/* white space at the end of the next line */
#define
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
cat <<End-of-File >$tmp.root
root {
#define foo
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
cat <<End-of-File >$tmp.root
root {
#define bad_123_macro!name
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
echo
echo "other #cpp line errors ..."
cat <<End-of-File >$tmp.root
root {
#fumble
}
End-of-File
pminfo -n $tmp.root -m >$tmp.out 2>$tmp.err
cat $tmp.out $tmp.err | _filter
# success, all done
exit
|